/*
 * Header for config file parsing.
 *
 * This file should be included after stdio.
 *
 * Part of Chatserv, by Jonathan Lennox.  Written for no particularly good
 * reason, because I felt like it.  Allows multiple people to chat over the
 * net in a relatively straightforward environment.  Disclaimer: I figured out
 * how to do TCP/IP programming by reading man pages.
 *
 * Copyright 1995 Jonathan Lennox
 *
 * See LICENSE for licensing terms.
 */

#include <regex.h>

typedef enum {POSE_REGEX, 
	      DICE_REGEX,
	      BAN_REGEX,
	      BADNICK_REGEX,
              ALIAS_REGEX,
              NARRATE_REGEX,
              SPOOF_REGEX} regex_index;

extern char *lookup_conf(char *name);
extern char *lookup_conf_no_error(char *name);
extern char *lookup_conf_with_numeric(char *name, int *numeric);
extern char *lookup_conf_with_fallback(char *name, char *fallback);
extern int set_conf(char *name, char *val);

extern int load_config(void);

extern char *get_conf_client_chars(void);
extern regex_t *get_conf_regex(regex_index index);

/* Commands */

int reload_cmd(char *cmd_name, struct connection *user, char *args);
