/*
 * Prototypes for TLS handling.
 *
 * Part of Chatserv, by Jonathan Lennox.  Written for no particularly good
 * reason, because I felt like it.  Allows multiple people to chat over the
 * net in a relatively straightforward environment.  Disclaimer: I figured out
 * how to do TCP/IP programming by reading man pages.
 *
 * Copyright 2005 Matthew Gerber
 *
 * See LICENSE for licensing terms.
 */

#ifdef DO_SSL
#define GNUTLS11
#endif

#ifdef GNUTLS3
#include <gnutls.h>
#define SSL GNUTLS_STATE *
#endif

#ifdef GNUTLS11
#include <gnutls/gnutls.h>
#define SSL gnutls_session *
#endif

#ifndef DO_SSL
#define SSL int
#endif

void ssl_init();
void ssl_end(SSL ssl);
int ssl_write(SSL ssl, char *s, int len);
int ssl_read(SSL ssl, char *s, int len);
struct connection *start_ssl_setup(struct connection *newcon, int fd);
void continue_ssl_setup(struct connection *current);
