/* SunOS 4 ships with a K&R C compiler.  As such, they don't bother
   providing prototypes for functions with return int.  Under gcc,
   this is muy annoying, especially when you compile with -Wall.

   This should be included last, after the files these prototypes
   ought to appear in.
*/

/* Only SunOS, only ANSI C.  */
#if defined(__STDC__) && defined(__sun__) && !defined(__svr4__)

#ifdef isalpha /* ctype.h */
extern int toupper(int);
#endif /* isalpha */

#ifdef _search_h /* no distinctive defines in search.h */
extern char *tsearch(void *, void **, int (*)(const void *, const void *));
extern char *tfind(void *, void **, int (*)(const void *, const void *));
#endif /* _search_h */

#ifdef FD_SET /* select.h */
#include <sys/time.h>
extern int select(int, fd_set *, fd_set *, fd_set *, struct timeval *);
#endif /* FD_SET */

#ifdef FILE /* stdio.h */
extern int fclose (FILE *);
extern int fprintf(FILE *, char *, ...);
extern int fread (char *, int, int, FILE *);
extern int fscanf(FILE *, char *, ...);
extern int fwrite (char *, int, int, FILE *);
extern void perror(const char *);
extern int printf(char *, ...);
extern int ungetc(int, FILE *);
extern int _filbuf (FILE *);
#endif /* FILE */

#ifdef __stdlib_h /* No distinctive defines in stdlib.h */
extern long strtol(char *, char **, int);
#endif

#ifdef __string_h /* No distinctive defines in string.h */
#include <sys/types.h>
extern void bzero(char *, int);
extern char *getpass(char *);
extern void *memset(void *, int, size_t);
extern int strcasecmp(char *, char *);
extern int strncasecmp(char *, char *, int);
extern char *strerror(int);
#endif /* __string.h */

#ifdef RLIMIT_NOFILE /* sys/resource.h */
extern int getrlimit(int, struct rlimit *);
extern int setrlimit(int, const struct rlimit *);
#endif /* RLIMIT_NOFILE */

#ifdef AF_INET /* sys/socket.h */
extern int accept(int, struct sockaddr *, int *);
extern int bind(int, struct sockaddr *, int);
extern int listen(int, int);
extern int setsockopt(int, int, int, const char *, int);
extern int socket(int, int, int);
#endif /* AF_INET */

#ifdef __time_h /* No distinctive defines in time.h */
extern time_t time(time_t *);
extern int strftime(char *, int, char *, struct tm *);
#endif /* ITIMER_REAL */

#ifdef F_OK /* unistd.h */
extern char *crypt(char *key, char *salt);
#endif /* F_OK */

#endif /* defined(__STDC__) && defined(__sun__) && !defined(__svr4__) */
